Page MenuHomePhabricator

selenium-daily-beta-Minerva and MobileFrontend has failed for 6 days
Closed, ResolvedPublicBUG REPORT

Description

The selenium-daily-beta-Minerva job has failed for the last 6 days.
The failed build contains no information to allow debugging aside from a single screenshot. In the case of Minerva the screenshot suggests a previous step has failed with no way to see the logs to understand what could have gone wrong. In the case of MobileFrontend - the screenshot also suggests one of the steps is not executing properly. Again there is no logs to help debug this.

During the most recent run, all of the talk overlay tests failed with the following output:

20:54:31 [chrome #0-7] Spec: /src/tests/selenium/specs/talk.js
20:54:31 [chrome #0-7] Running: chrome
20:54:31 [chrome #0-7]
20:54:31 [chrome #0-7] Talk
20:54:31 [chrome #0-7]   1) "before each" hook
20:54:31 [chrome #0-7]
20:54:31 [chrome #0-7]
20:54:31 [chrome #0-7] 1 failing (14s)
20:54:31 [chrome #0-7]
20:54:31 [chrome #0-7] 1) Talk "before each" hook:
20:54:31 [chrome #0-7] badtoken: Invalid CSRF token.
20:54:31 [chrome #0-7] Error: badtoken: Invalid CSRF token.
20:54:31 [chrome #0-7]     at rawRequest.then (/src/node_modules/mwbot/src/index.js:257:31)
20:54:31 [chrome #0-7]     at tryCatcher (/src/node_modules/bluebird/js/release/util.js:16:23)
20:54:31 [chrome #0-7]     at Promise._settlePromiseFromHandler (/src/node_modules/bluebird/js/release/promise.js:517:31)
20:54:31 [chrome #0-7]     at Promise._settlePromise (/src/node_modules/bluebird/js/release/promise.js:574:18)
20:54:31 [chrome #0-7]     at Promise._settlePromise0 (/src/node_modules/bluebird/js/release/promise.js:619:10)
20:54:31 [chrome #0-7]     at Promise._settlePromises (/src/node_modules/bluebird/js/release/promise.js:699:18)
20:54:31 [chrome #0-7]     at _drainQueueStep (/src/node_modules/bluebird/js/release/async.js:138:12)
20:54:31 [chrome #0-7]     at _drainQueue (/src/node_modules/bluebird/js/release/async.js:131:9)
20:54:31 [chrome #0-7]     at Async._drainQueues (/src/node_modules/bluebird/js/release/async.js:147:5)
20:54:31 [chrome #0-7]     at Immediate.Async.drainQueues [as _onImmediate] (/src/node_modules/bluebird/js/release/async.js:17:14)
20:54:31 [chrome #0-7]     at runCallback (timers.js:705:18)
20:54:31 [chrome #0-7]     at tryOnImmediate (timers.js:676:5)
20:54:31 [chrome #0-7]     at processImmediate (timers.js:658:5)
20:54:31 [chrome #0-7]     at process.topLevelDomainCallback (domain.js:120:23)

Event Timeline

phuedx created this task.Sep 12 2019, 8:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2019, 8:48 AM
Jdlrobson renamed this task from [Bug] selenium-daily-beta-Minerva has failed for 6 days to Need RelEng help: selenium-daily-beta-Minerva and MobileFrontend has failed for 6 days.Sep 12 2019, 5:59 PM
Jdlrobson updated the task description. (Show Details)

Looking into this the tests are all false positive. From the limited log information I get for the failures, I can tell that they don't seem to be executing correctly - for example the user page test is failing because the user is not logged in (despite a step existing saying "the user is logged in").

We will need some help from RelEng debugging and fixing this one.

zeljkofilipin triaged this task as Medium priority.Sep 19 2019, 2:31 PM
zeljkofilipin renamed this task from Need RelEng help: selenium-daily-beta-Minerva and MobileFrontend has failed for 6 days to selenium-daily-beta-Minerva and MobileFrontend has failed for 6 days.Sep 20 2019, 1:47 PM
zeljkofilipin closed this task as Resolved.Sep 25 2019, 10:38 AM
zeljkofilipin reassigned this task from zeljkofilipin to hashar.

Resolved by @hashar in T232796.